Summary: A CD authoring suite for X with a nice GTK+ user interface.
Name: gtoaster
Version: 2001042419
Release: fr1
Group: Applications/Multimedia
Copyright: GPL
URL: http://gnometoaster.rulez.org/ 
Source: http://gnometoaster.rulez.org/archive/gtoaster%{version}.tar.bz2
Buildroot: %{_tmppath}/%{name}-root
Requires: cdrecord, mkisofs, cdda2wav, sox, mpg123, gtk+ >= 1.2.1

%description
Gnometoaster is a CD authoring application for X11.
Create all sorts of CDs on-the-fly or with precaching in both track-at-once
and disc-at-once mode. Gnometoaster can write mp3 files on-the-fly, create
bootable CDs and has a powerful filesystem editor.
CD-Text informations can be created where supported, automatic cddb lookups
make naming your tracks really easy. Gnometoaster can also be used to convert
between filetypes and encode audio-tracks into mp3 or wav files.

%prep
%setup -q -n %{name}

%build
%configure
make

%install
rm -rf %{buildroot}
%makeinstall

mkdir -p %{buildroot}%{_datadir}/gnome/apps/Multimedia
cat > %{buildroot}%{_datadir}/gnome/apps/Multimedia/gtoaster.desktop << EOF
[Desktop Entry]
Name=Gnome Toaster
Comment=A CD authoring suite
Exec=%{_bindir}/gtoaster
Icon=%{_datadir}/pixmaps/mc/i-cdrom.png
Type=Application
Terminal=0
EOF

%clean
rm -rf %{buildroot}

%files
%defattr(-, root, root)
%doc AUTHORS COPYING ChangeLog NEWS README TODO Documentation/*.html
%{_bindir}/gtoaster
%{_datadir}/locale/*/LC_MESSAGES/gtoaster.mo
%{_datadir}/gnome/apps/Multimedia/gtoaster.desktop

%changelog
* Wed Apr 25 2001 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Initial Red Hat 7.1 RPM release with the original spec file cleaned up.

